Get widget config definitions
GET
/merchants/{merchantCode}/shops/{shopCode}/widgetConfigDefinitions
const url = 'https://cms.shopgate.io/v1/merchants/example/shops/example/widgetConfigDefinitions?limit=100&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://cms.shopgate.io/v1/merchants/example/shops/example/widgetConfigDefinitions?limit=100&offset=0'Returns the list of available widgets and their configuration schemas for the specified shop and locale.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
shopCode
required
string
Query Parameters
Section titled “Query Parameters”localeCode
string
Locale code to change the language of the name, descriptions, properties and media
limit
integer
The limit of entries of one page
offset
integer
The offset where to start the page
Responses
Section titled “Responses”Widget config definitions
Media typeapplication/json
object
meta
required
object
limit
number
offset
number
totalItemCount
number
widgetConfigDefinitions
required
object
Example
{ "meta": { "limit": 10, "offset": 0, "totalItemCount": 1 }}Resource not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
